> For the complete documentation index, see [llms.txt](https://docs.multimarkets.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.multimarkets.org/client-api/open-api/readme/request.md).

# Request

## 1. Request Address

{baseUrl}/openapi-c/global/{bizType}

| Parameter | Type   | Description                                                     |
| --------- | ------ | --------------------------------------------------------------- |
| baseUrl   | String | Request domain or IP, contact operational staff for details     |
| bizType   | String | Resource information. See the specific interface documentation. |

The DEMO is as follows:

POST <https://prewppc-3.cmfbl.com/openapi-c/global/{bizType}>

## 2. Request Method

Request Method: POST

## 3. Request Header Information

| Parameter  | Type   | Required | Description                                                   |
| ---------- | ------ | -------- | ------------------------------------------------------------- |
| companyId  | long   | Yes      | Unique company identifier                                     |
| trace      | String | Yes      | Unique identifier for global tracing                          |
| timestamp  | long   | Yes      | Request sending time, timestamp in milliseconds               |
| apiKey     | String | Yes      | API key applied through the platform                          |
| signature  | String | Yes      | Signature, see signature rules                                |
| recvWindow | long   | No       | Time window                                                   |
| version    | String | No       | Resource version number, see specific interface documentation |
| group      | String | No       | Resource group, see specific interface documentation          |
| lang       | String | No       | Language info, default is zh-CN                               |

## 4. Request Body Parameters

To be transmitted in the format content-type=application/json

Refer to specific interface documentation.

## 5. Response Format

Responses use JSON format.

All responses follow a unified format:

```json
{
  "code": "code",
  "message":"message",
  "data": null
}

```

## 6. Response Error Codes

| Code     | Description                               |
| -------- | ----------------------------------------- |
| 00012001 | Signature verification failed             |
| 00012002 | Request has exceeded the time window      |
| 00012003 | The requested API\_KEY does not exist     |
| 00012004 | No permission for the current API request |
| 00012005 | Request too frequent                      |
| 00012006 | API has expired                           |
| 00012007 | Illegal IP address                        |

## 7. Access Restrictions

* Currently, a single API-KEY can be accessed no more than 100 times per minute; otherwise, it will return 429.
* If requests continue after receiving a 429 response, it will return 418.
* The first time a 418 response is returned, the API key will be disabled for 5 minutes. Subsequent access attempts will increase the disable period to 10 minutes, and so on.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.multimarkets.org/client-api/open-api/readme/request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
